using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHI.Pins;


namespace PANDA_3_Servo
{
    public class Program
    {
        public static void Main()
        {
            // Documentation de la classe PWM http://msdn.microsoft.com/en-us/library/microsoft.spot.hardware.pwm(v=vs.102).aspx
            var duty = 0.05; // Rapport cyclique entre 0 et 1
            var freq = 50; // Frquence en Hz min pour ce type de servo

            // Configuration l'E/S numrique 5 de la Panda 3 en PWM
            // Connexion du Servomoteur au connecteur O4 de la carte TINKERKIT
            PWM Servo = new PWM(FEZPandaIII.PwmOutput.D5, freq, duty, false);

            Servo.Start();

            while (true)
            { // Dplacement angulaire de 90
                for (var i = 0; i < 6; i++)
                {
                    Servo.DutyCycle = duty + i * 0.01;
                    Thread.Sleep(1000);
                }

                Servo.DutyCycle = duty;
            }
        }
    }
}
